QGIS Application - Bug report #9767
Project not properly saving ellipsoid
2014-03-12 03:38 AM - landry Landry Breuil

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18309
Description

With ggis 2.0 on windows and 2.2 on openbsd, when choosing the ellipsoid for the measure tool sometimes it's not properly
saved/applied.

After enabling on the fly reprojection for the project, if i choose 'TAG GRS 1980’ in the ellipsoid list for the measure tool, the value saved in
the .qgs file is:

<Measure>
<Ellipsoid type="QString">IGNF:ELG037</Ellipsoid>
</Measure>
and if i reopen the project properties, the shown/selected ellipsoid is Clarke 1866.
It seems to work fine for 'GRS 1980(IUGG, 1980)' ellipsoid, or Galatea2000, or Everest 1930:
<Measure>

<Ellipsoid type="QString">evrst30</Ellipsoid>
</Measure>

Seems broken the same way for 'lAG GRS 1967, the saved xml is:
<Measure>
<Ellipsoid type="QString">IGNF:ELG108</Ellipsoid>
</Measure>

And it comes back to Clarke 1866 if i reopen the project properties dialog.

Maybe mismatching key/values entries in the ellipsoid lists ?

History

#1 - 2014-06-21 03:06 AM - Jiirgen Fischer
- Category set to Project Loading/Saving

#2 - 2014-06-21 08:31 AM - Giovanni Manghi
- Status changed from Open to Feedback
this should have been fixed recently in qgis master, please test and report back.

#3 - 2014-10-08 08:21 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
